<?php
/*
 * Created on 31.07.2009
 * vs. 0.1
 * Copyright: Mariano Alcántara Francia - Boolean Core - http://www.booleancore.com
 * 
 * GNU LESSER GENERAL PUBLIC LICENSE
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

class BCoreGridWidget extends CWidget
{
  	public $width = "100%";
  	public $css = "bcgrid";
  	public $row_even = "bcgrid_even";
  	public $row_odd = "bcgrid_odd";
  	public $row_over = "bcgrid_over";
	public $models;
	public $attributes;
	public $pages;
	public $sort;
	public $row_id="id";
	public $row_active=true;
	public $row_actionclick;
	public $row_controller;
	public $row_owner;
	private $cssFile = 'bcoregrid.css';
	
	public function init()
    {
		$this->cssFile=Yii::app()->getAssetManager()->publish(dirname(__FILE__).DIRECTORY_SEPARATOR.$this->cssFile);
	 	$cs=Yii::app()->clientScript;
        $cs->registerCssFile($this->cssFile);
    }

	public function run()
	{
	   $this->render('list',array(
	   			"models"=>$this->models,
				"css"=>$this->css,
				"id"=>$this->row_id,
				"row_owner"=>$this->row_owner,
				"row_even"=>$this->row_even,
				"row_odd"=>$this->row_odd,
				"row_over"=>$this->row_over,
				"row_active"=>$this->row_active,
				"row_actionclick"=>$this->row_actionclick,
				"row_controller"=>$this->row_controller,
				"attributes"=>$this->attributes,
				"pages"=>$this->pages,
				"sort"=>$this->sort) 
			) ;
	}
}